# $Revision: 1.57 $, $Date: 2008/11/15 20:15:36 $
#
# Conditional build:
%bcond_with	internal_cairo	# internal cairo 1.6.4 instead of system one
%bcond_with	pango		# use pango for text rendering (experimental; system cairo only)
#
# WARNING! libgdiplus will not work if compiled with -fomit-frame-pointer
#
Summary:	An Open Source implementation of the GDI+ API
Summary(pl.UTF-8):	Otwarta implementacja API GDI+
Name:		libgdiplus
Version:	2.0
Release:	2
%if %{with internal_cairo}
License:	LGPL v2.1 or MPL 1.1
%else
License:	MIT X11
%endif
Group:		Libraries
# latest downloads summary at http://ftp.novell.com/pub/mono/sources-stable/
Source0:	http://ftp.novell.com/pub/mono/sources/libgdiplus/%{name}-%{version}.tar.bz2
# Source0-md5:	dc732fb2d996b54405c27645cb8642d9
Patch0:		%{name}-link.patch
Patch1:		%{name}-lt.patch
Patch2:		%{name}-autoconf262.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
%{!?with_internal_cairo:BuildRequires:	cairo-devel >= 1.6.4}
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	giflib-devel
BuildRequires:	glib2-devel >= 1:2.2.3
BuildRequires:	libexif-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	libtiff-devel
BuildRequires:	libtool
%{?with_pango:BuildRequires:	pango-devel >= 1:1.10}
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXrender-devel
%{!?with_internal_cairo:Requires:	cairo >= 1.6.4}
Requires:	glib2 >= 1:2.2.3
%{?with_pango:Requires:	pango >= 1:1.10}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An Open Source implementation of the GDI+ API.

This is part of the Mono project.

%description -l pl.UTF-8
Otwarta implementacja API GDI+.

Część projektu Mono.

%package devel
Summary:	Development files for libgdiplus
Summary(pl.UTF-8):	Pliki programistyczne libgdiplus
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{!?with_internal_cairo:Requires:	cairo-devel >= 1.4.12}
Requires:	fontconfig-devel
Requires:	freetype-devel >= 2.0
Requires:	giflib-devel
Requires:	glib2-devel >= 1:2.2.3
Requires:	libexif-devel
Requires:	libjpeg-devel
Requires:	libpng-devel >= 1.2
Requires:	libtiff-devel
%{?with_pango:Requires:	pango-devel >= 1:1.10}
Requires:	xorg-lib-libXrender-devel

%description devel
Development files for libgdiplus.

%description devel -l pl.UTF-8
Pliki programistyczne libgdiplus.

%package static
Summary:	Static libgdiplus library
Summary(pl.UTF-8):	Statyczna biblioteka libgdiplus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgdiplus library.

%description static -l pl.UTF-8
Statyczna biblioteka libgdiplus.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd cairo
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd -

%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_internal_cairo:--with-cairo=system} \
	%{?with_pango:--with-pango}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog %{?with_internal_cairo:LICENSE} NEWS README TODO
%attr(755,root,root) %{_libdir}/libgdiplus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdiplus.so.0
# needed at runtime for mono to load it as gdiplus.dll
%attr(755,root,root) %{_libdir}/libgdiplus.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/libgdiplus.la
%{_pkgconfigdir}/libgdiplus.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdiplus.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgdiplus.spec,v $
Revision 1.57  2008/11/15 20:15:36  arekm
- release 2

Revision 1.56  2008/10/06 12:36:22  wolf
- 2.0

Revision 1.55  2008/06/18 17:40:10  qboosh
- updated Source0 URL

Revision 1.54  2008-06-01 10:27:54  adamg
- fix build with autoconf-2.62 (improper shell variable names used in configure.in)

Revision 1.53  2008-03-21 21:13:19  qboosh
- added lt patch (fixes build with libtool 2.2)
- ghost soname symlink

Revision 1.52  2008-03-14 19:24:12  wolf
- 1.9

Revision 1.51  2007-12-15 18:26:40  qboosh
- updated URLs

Revision 1.50  2007-12-15 16:40:53  qboosh
- use system cairo 1.4.12 by default (fixes CVE-2007-5503);
  internal cairo 1.4.10 contains no actual code modifications, so note was not true
- release 2

Revision 1.49  2007-12-15 14:24:49  qboosh
- BR+R libexif-devel

Revision 1.48  2007-12-13 17:11:39  wolf
- 1.2.6

Revision 1.47  2007/09/01 19:30:24  qboosh
- removed obsolete include patch

Revision 1.46  2007/09/01 14:15:52  wolf
- 1.2.5

Revision 1.45  2007/08/16 00:34:51  wolf
- 1.2.5 preview 3

Revision 1.44  2007/05/16 07:00:31  deejay1
- up to 1.2.4

Revision 1.43  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.41  2007/02/07 17:24:36  deejay1
- up to 1.2.3

Revision 1.40  2006/12/05 14:38:19  deejay1
- 1.2.2

Revision 1.39  2006/11/22 19:10:39  wolf
- 1.2.1

Revision 1.38  2006/11/09 23:53:02  wolf
- updated source0 to official site

Revision 1.37  2006/11/07 17:25:16  wolf
- 1.2 RC

Revision 1.36  2006/10/16 18:21:59  wolf
- 1.1.18

Revision 1.35  2006/08/30 09:31:18  qboosh
- updated link patch is back

Revision 1.34  2006/08/30 08:13:23  wolf
- 1.1.17

Revision 1.33  2006/07/12 18:57:32  wolf
- 1.1.16.1

Revision 1.32  2006/07/07 08:30:49  deejay1
- up to 1.1.16

Revision 1.31  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.30  2006/04/15 12:30:49  wolf
- 1.1.15

Revision 1.29  2006/04/03 15:56:36  wolf
- 1.1.14

Revision 1.28  2006/03/29 15:25:02  wolf
- 1.1.13.6

Revision 1.27  2006/03/04 21:55:12  qboosh
- removed obsolete sed BR

Revision 1.26  2006/03/04 21:52:26  qboosh
- (for consistency with cairo.spec) assume that libXrender requires libX11

Revision 1.25  2006/03/04 21:49:09  qboosh
- added link patch (now libXext is really unnecessary)

Revision 1.24  2006/03/04 16:10:09  qboosh
- s/libXext/libX11/ in BRs, BR: fontconfig-devel, -devel deps

Revision 1.23  2006/03/03 23:27:27  wolf
- 1.1.13.4
- modular xorg deps

Revision 1.22  2006/01/22 19:43:28  charles
- workaround for "C++ preprocessor "/lib/cpp" fails sanity check"
- BR: XFree86-devel

Revision 1.21  2006/01/22 15:59:10  deejay1
- up to 1.1.13.2
- Patch0 removed - already applied upstream

Revision 1.20  2006/01/10 14:09:53  wolf
- 1.1.13

Revision 1.19  2005/12/16 20:44:28  wolf
- 1.1.11

Revision 1.18  2005/11/16 23:47:51  qboosh
- apply cairo-gcc4 patch (fixes build with new gas)

Revision 1.17  2005/11/11 13:04:36  wolf
- add warning

Revision 1.16  2005/11/10 18:29:52  wolf
- 1.1.10

Revision 1.15  2005/10/12 16:23:24  deejay1
- updated to 1.1.9.2

Revision 1.14  2005/10/05 09:25:59  qboosh
- updated download URL

Revision 1.13  2005/09/24 09:59:30  pawcioos
- updated to 1.1.9.1

Revision 1.12  2005/09/09 18:32:56  wolf
- 1.1.9

Revision 1.11  2005/08/10 23:05:14  wolf
- cleanup

Revision 1.10  2005/06/18 22:00:08  wolf
- use builtin cairo, it doesn't work otherwise

Revision 1.9  2005/06/18 17:42:08  qboosh
- not ready for cairo 0.5.0 yet

Revision 1.8  2005/06/18 12:01:04  wolf
- 1.1.8

Revision 1.7  2005/05/08 17:40:03  witekfl
- fixed URL for Source

Revision 1.6  2005/05/08 16:24:08  witekfl
- update to 1.1.7

Revision 1.5  2005/04/03 14:38:39  qboosh
- more verbose files, -devel desc fix (what headers?)
- .so symlink moved to main package (for mono)

Revision 1.4  2005/04/03 14:13:48  qboosh
- added cairo patch (hacks to build with cairo 0.4.0)
- more BRs, download URL

Revision 1.3  2005/03/24 21:31:22  wolf
- 1.1.5

Revision 1.2  2005/02/26 22:17:30  wolf
- md5

Revision 1.1  2005/02/26 22:08:37  wolf
- new
